Skip to main content
`Ctrl`+`K`

# PetscGetDisplay

Gets the X windows display variable for all processors.

## Synopsis

    PetscErrorCode PetscGetDisplay(char display[], size_t n)

## Input Parameter

- n - length of string display

## Output Parameter

- display - the display string

## Options Database Keys

- -display <display> - sets the display to use

- -x_virtual - forces use of a X virtual display Xvfb that will not display anything but -draw_save will still work. Xvfb is automatically started up in PetscSetDisplay() with this option

## See Also

`PETSC_DRAW_X`, `PetscDrawOpenX()`

## Level

advanced

## Location

src/sys/utils/pdisplay.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages